#include "layercontrolwidget.h"

#include "maplayerwidget.h"
#include "iconlayerwidget.h"
#include "entitywidget.h"

LayerControlWidget::LayerControlWidget(QWidget *parent)
    :QTabWidget(parent)
{
    initUI();
}

MapLayerWidget *LayerControlWidget::getMapLayerWidget()
{
    return mMapLayerWidget;
}

IconLayerWidget *LayerControlWidget::getIconLayerWidget()
{
    return mIconLayerWidget;
}

EntityWidget *LayerControlWidget::getEntityWidget()
{
    return mEntityWidget;
}

void LayerControlWidget::initUI()
{
    mMapLayerWidget = new MapLayerWidget;
    mIconLayerWidget = new IconLayerWidget;
    mEntityWidget = new EntityWidget;
    this->addTab(mMapLayerWidget, "视图");
    this->addTab(mIconLayerWidget, "军标");
    this->addTab(mEntityWidget, "实体");
}
